Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class KeyTable

    java.lang.Object
      |
      +--org.apache.xalan.xslt.KeyTable

public class KeyTable
extends java.lang.Object

**For advanced use only** Table of element keys, keyed by document node. An instance of this class is keyed by a Document node that should be matched with the root of the current context. It contains a table of name mappings to tables that contain mappings of identifier values to nodes.

Method Summary
`org.w3c.dom.NodeList` | `getNodeSetByKey(java.lang.String name, java.lang.String ref)` **For advanced use only** Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeSetByKey

    public org.w3c.dom.NodeList getNodeSetByKey(java.lang.String name,
                                                java.lang.String ref)

  **For advanced use only** Given a valid element key, return the corresponding node list.
  Parameters:
    `The` - name of the key, which must match the 'name' attribute on xsl:key.
    `ref` - The value that must match the value found by the 'match' attribute on xsl:key.
  Returns:
    If the name was not declared with xsl:key, this will return null, if the identifier is not found, it will return an empty node set, otherwise it will return a nodeset of nodes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.